#!../src/bltwish

package require BLT
# --------------------------------------------------------------------------
# Starting with Tcl 8.x, the BLT commands are stored in their own 
# namespace called "blt".  The idea is to prevent name clashes with
# Tcl commands and variables from other packages, such as a "table"
# command in two different packages.  
#
# You can access the BLT commands in a couple of ways.  You can prefix
# all the BLT commands with the namespace qualifier "blt::"
#  
#    blt::graph .g
#    blt::table . .g -resize both
# 
# or you can import all the command into the global namespace.
#
#    namespace import blt::*
#    graph .g
#    table . .g -resize both
#
# --------------------------------------------------------------------------
if { $tcl_version >= 8.0 } {
    namespace import blt::*
    namespace import -force blt::tile::*
}
source _demo.tcl
#bltdebug 100

image create photo bgTile -file ./images/smblue_rock.gif
image create photo label1 -file ./images/mini-book1.gif
image create photo label2 -file ./images/mini-book2.gif
image create photo testImage -file ./images/txtrflag.gif

scrollbar .s -command { .t view } -orient horizontal
tabset .t \
    -relief flat \
    -bd 2 \
    -tabborderwidth 1 \
    -textside right \
    -side top \
    -rotate 0  \
    -samewidth yes \
    -tiers 2 \
    -scrollcommand { .s set } \
    -tile bgTile \
    -scrollincrement 1 \

set graph .t.graph1
option clear
source _graph1.tcl

set graph .t.graph2
option clear
source _graph2.tcl

set graph .t.graph3
option clear
source _graph3.tcl
set graph .t.graph5
option clear
source _barchart2.tcl

label .t.l -image testImage

option clear

#option add *Tab.state disabled

set attributes {
   "Graph \#1" red	.t.graph1  
    "Graph \#2" green	.t.graph2  
    "Graph \#3" cyan	.t.graph3  
    "Graph \#5" yellow	.t.graph5  
    one		orange	.t.l       
}

foreach { label color window } $attributes {
    .t insert end $label -window $window  -fill both -padx 0.1i -pady 0.1i
}

#	-selectbackground ${color}2  \
#	-background ${color}3 -activebackground ${color}2  

.t insert end \
    there bunky another test of \
    a -image label2 widget

table . \
    .t 0,0 -fill both \
    .s 1,0 -fill x 

table configure . r1 -resize none
#focus .t

#.t invoke end
